# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::ColorMask Class Reference

Wraps the OpenGL function glColorMask(), see also http://www.opengl.org/sdk/docs/man/xhtml/glColorMask.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::ColorMask:

List of all members.

## Public Member Functions

| ColorMask (bool red=true, bool green=true, bool blue=true, bool alpha=true)
virtual const char * | className ()
| Returns the name of the class.
virtual ERenderState | type () const
virtual void | apply (const Camera *) const
void | set (bool red, bool green, bool blue, bool alpha)
void | setRed (bool red)
void | setGreen (bool green)
void | setBlue (bool blue)
void | setAlpha (bool alpha)
bool | red () const
bool | green () const
bool | blue () const
bool | alpha () const

## Protected Attributes

bool | mRed
bool | mGreen
bool | mBlue
bool | mAlpha

## Detailed Description

Wraps the OpenGL function glColorMask(), see also http://www.opengl.org/sdk/docs/man/xhtml/glColorMask.xml for more information.

See also:
  Shader, Effect, Actor

## Constructor & Destructor Documentation

vl::ColorMask::ColorMask | ( | bool | red = `true`,
|  | bool | green = `true`,
|  | bool | blue = `true`,
|  | bool | alpha = `true` |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual const char* vl::ColorMask::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

virtual ERenderState vl::ColorMask::type | ( |  | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

void ColorMask::apply | ( | const Camera * |  | ) | const`[virtual]`

Implements vl::RenderState.

void vl::ColorMask::set | ( | bool | red,
|  | bool | green,
|  | bool | blue,
|  | bool | alpha |
| ) |  |  | `[inline]`

void vl::ColorMask::setRed | ( | bool | red | ) | `[inline]`

void vl::ColorMask::setGreen | ( | bool | green | ) | `[inline]`

void vl::ColorMask::setBlue | ( | bool | blue | ) | `[inline]`

void vl::ColorMask::setAlpha | ( | bool | alpha | ) | `[inline]`

bool vl::ColorMask::red | ( |  | ) | const`[inline]`

bool vl::ColorMask::green | ( |  | ) | const`[inline]`

bool vl::ColorMask::blue | ( |  | ) | const`[inline]`

bool vl::ColorMask::alpha | ( |  | ) | const`[inline]`

## Member Data Documentation

bool vl::ColorMask::mRed`[protected]`

bool vl::ColorMask::mGreen`[protected]`

bool vl::ColorMask::mBlue`[protected]`

bool vl::ColorMask::mAlpha`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.cpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:41 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.